<div class="dashboard-page flex flex-col flex-auto min-w-0">
    <div class="flex justify-between">
        <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">Forms</div>
        <button  type="button" class="inline-flex" mat-stroked-button [color]="'primary'" [routerLink]="'/form-new'">
            <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
            <span class="mr-8">Create New Form</span>
        </button>
    </div>
    <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
        <div class="mr-4">
            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                <div class="text-secondary px-4" matPrefix>Form ID</div>
                <input matInput placeholder="Search by ID" #input name="ID">
            </mat-form-field>
            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                <div class="text-secondary px-4" matPrefix>Form Name</div>
                <input matInput placeholder="Search by Name" #input name="Name">
            </mat-form-field>
            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-64 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                <div class="text-secondary px-4" matPrefix>Status</div>
                <input matInput placeholder="Search by Status" #input name="Status">
            </mat-form-field>
            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                <div class="text-secondary px-4" matPrefix>Created By</div>
                <input matInput placeholder="Search Created By" #input name="Created By">
            </mat-form-field>
            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                <div class="text-secondary px-2" matPrefix>Publish Date</div>
                <input matInput [matDatepicker]="datepicker" placeholder="Publish Date">
                <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
                <mat-datepicker #datepicker></mat-datepicker>
            </mat-form-field>
        </div>

        <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'" type="button">
            <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
            <span class="mr-8 ml-4">Search</span>
        </button>
    </div>
    <form class="flex flex-col w-full">
    <div class="relative">

        <div class="mt-4">
            <div class="item-block mb-4 srm-bg rounded-lg p-6">
                <div class="relative">
                    <!--table component-->
                    <!--base table component-->
                    <div class="overflow-auto bg-gray-50 rounded-lg">
                        <table mat-table [dataSource]="dataSource13" matSort class="expanded-rows-table font-helvetica text-gray-500">

                            <!-- ID Column -->
                            <ng-container matColumnDef="index">
                                <th mat-header-cell *matHeaderCellDef style="max-width: 50px; width: 50px"></th>
                                <td mat-cell *matCellDef="let row">
                                    <button mat-icon-button [matMenuTriggerFor]="options" aria-label="Choose columns">
                                        <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:dots-vertical"></mat-icon>
                                    </button>
                                    <mat-menu #options="matMenu" class="min-width-235 z-1">
                                        <button mat-menu-item>
                                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:eye"></mat-icon>
                                            View
                                        </button>
                                        <button mat-menu-item>
                                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:pencil"></mat-icon>
                                            Edit
                                        </button>
                                        <button mat-menu-item>
                                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:document-duplicate"></mat-icon>
                                            Copy
                                        </button>
                                        <button mat-menu-item>
                                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:trash"></mat-icon>
                                            Delete
                                        </button>
                                    </mat-menu>
                                </td>
                            </ng-container>

                            <!--  User Name Column -->
                            <ng-container matColumnDef="formId">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                                   Form ID
                                </th>
                                <td mat-cell *matCellDef="let row">
                                    {{row.formId}}
                                </td>
                            </ng-container>

                            <!-- RFX Role Column -->
                            <ng-container matColumnDef="formName">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                                    Form Name
                                </th>
                                <td mat-cell *matCellDef="let row"> {{row.formName}} </td>
                            </ng-container>

                            <!-- Substitue Name Column -->
                            <ng-container matColumnDef="status">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                                    Status
                                </th>
                                <td mat-cell *matCellDef="let row"> {{row.status}} </td>
                            </ng-container>

                            <!-- Access Level Column -->
                            <ng-container matColumnDef="createdBy">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 100px">
                                    Created By
                                </th>
                                <td mat-cell *matCellDef="let row"> {{row.createdBy}} </td>
                            </ng-container>

                            <!-- Pages with Access Column -->
                            <ng-container matColumnDef="publishDate">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 140px; min-width: 130px">
                                    Publish Date
                                </th>
                                <td mat-cell *matCellDef="let row"> {{row.publishDate}} </td>
                            </ng-container>


                            <tr mat-header-row *matHeaderRowDef="displayedColumn13"></tr>
                            <tr mat-row *matRowDef="let row; columns: displayedColumn13;"></tr>

                            <!-- Row shown when there is no matching data. -->
                            <tr class="mat-row" *matNoDataRow>
                                <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                            </tr>
                        </table>
                    </div>
                    <div class="flex justify-end">
                        <mat-paginator class="flex text-base" [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
                    </div>
                    <!--table component end-->
                </div>
            </div>
        </div>


    </div>

    <div class="flex justify-end ml-auto p-6">
        <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
            <span class="mx-8">Cancel</span>
        </button>
        <button class="sm:inline-flex mr-4" mat-stroked-button [color]="'primary'">
            <span class="mx-8">Save as Draft</span>
        </button>
        <button class="sm:inline-flex mr-4" mat-raised-button [color]="'primary'">
            <span class="mx-8">Send For Approval</span>
        </button>
    </div>
    </form>

</div>
